<?php
if(!isset($CRON_GUVENLIK)){
    echo "cron dosyasını manuel çalıştıramazsınız";
    exit;
}


require_once "mp-content/init.php";

	$services = $db->from('services')->all();

    $connect_web = simplexml_load_file('http://www.tcmb.gov.tr/kurlar/today.xml');

	function get_euroo() {
	    global $connect_web;
        $euro = floatval($connect_web->Currency[3]->BanknoteSelling);
        return $euro;
	}
	
	function get_dollarr() {
	    global $connect_web;
        $dollar = floatval($connect_web->Currency[0]->BanknoteSelling);
        return $dollar;
    }
    $d = array();
    $dolar = get_dollarr();
    if($dolar != 0 || $dolar != NULL || $dolar != "") {
        $d['dolar'] = $dolar;
    }
    $euro = get_euroo();
    if($euro != 0 || $euro != NULL || $euro != "") {
        $d['euro'] = $euro;
    }
    if(isset($d['dolar']) || isset($d['euro'])) {
        $insert = $db->update('settings')->set($d);
    }
    else {
        $insert = false;
    }
?>